using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using SelectPdf;

namespace SelectPdf.Samples
{
    public partial class modify_existing_pdf : System.Web.UI.Page
    {
        protected void BtnCreatePdf_Click(object sender, EventArgs e)
        {
            // the initial file
            string file = Server.MapPath("~/files/doc1.pdf");

            // load the pdf document
            PdfDocument doc = new PdfDocument(file);

            // add a new page to the document
            PdfPage page = doc.AddPage();

            // create a new pdf font (component standard font)
            PdfFont font = doc.AddFont(PdfStandardFont.Helvetica);
            font.Size = 20;

            // create text element and add it to the new page
            PdfTextElement text = new PdfTextElement(100, 100,
                "Sample text added to an existing pdf document.", font);
            page.Add(text);

            // save pdf document
            doc.Save(Response, false, "Sample.pdf");

            // close pdf document
            doc.Close();
        }
    }
}